using EnumStringValues;

namespace LookingGlass.Data;

public class Moderation
{
    public int Id { get; set; }
    public string UserId { get; set; } = default!;
    public ModerationTypes Type { get; set; }
    public string Reason { get; set; } = default!;
    public ModerationReasons ReasonType { get; set; }
    public DateTime CreatedAt { get; set; }
}

public enum ModerationTypes
{
    Ban,
    Warn,
}

public enum ModerationReasons
{
    Advertising,
    Bot,
    Harassment,
    Impersonation,
    Phishing,
    Raiding,

    [StringValue("TOS")]
    Tos,

    [StringValue("NSFW")]
    Nsfw,

    [StringValue("Alt/Ban Evasion")]
    BanEvasion,
}
